From 61b07d75f96d4dfb07b485b2a9bd7aed099df987 Mon Sep 17 00:00:00 2001
From: Liang Qi <liang.qi@qt.io>
Date: Tue, 1 Dec 2020 08:43:28 +0100
Subject: [PATCH] Revert "xcb: add xcb-util dependency for xcb-image"
MIME-Version: 1.0
Content-Type: text/plain; charset=utf8
Content-Transfer-Encoding: 8bit

This reverts commit adc42bebcac764ca8de78578e3a4ac39b621bd09.

adc42beb is wrong, the bug is for static build of qt with static
xcb. It adds the explicit dependency of xcb-util 0.3.9, which is
not available on Debian yet.

Task-number: QTBUG-86287
Fixes: QTBUG-88688
Change-Id: Iffc821f49bdfcad3f2556951d3677c35a7682266
Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
Reviewed-by: Tor Arne VestbÃ¸ <tor.arne.vestbo@qt.io>
(adapted from commit 92a57e0b016f811876ec1d62328ca8edfe452a3a)
---
 src/gui/configure.json | 14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

diff --git a/src/gui/configure.json b/src/gui/configure.json
index c8c4864eca6..1f08795c57b 100644
--- a/src/gui/configure.json
+++ b/src/gui/configure.json
@@ -601,15 +601,6 @@
             ],
             "use": "xcb"
         },
-        "xcb_util": {
-            "label": "XCB Util >= 0.3.9",
-            "headers": "xcb/xcb_util.h",
-            "sources": [
-                { "type": "pkgConfig", "args": "xcb-util >= 0.3.9" },
-                "-lxcb-util"
-            ],
-            "use": "xcb"
-        },
         "xcb_image": {
             "label": "XCB Image >= 0.3.9",
             "headers": "xcb/xcb_image.h",
@@ -617,7 +608,7 @@
                 { "type": "pkgConfig", "args": "xcb-image >= 0.3.9" },
                 "-lxcb-image"
             ],
-            "use": "xcb_shm xcb_util xcb"
+            "use": "xcb_shm xcb"
         },
         "xcb_keysyms": {
             "label": "XCB Keysyms >= 0.3.9",
@@ -1065,7 +1056,6 @@
                 "tail": "#undef explicit",
                 "include": [
                     "xcb/xcb.h",
-                    "xcb/xcb_util.h",
                     "xcb/xcb_image.h",
                     "xcb/xcb_keysyms.h",
                     "xcb/randr.h",
@@ -1097,7 +1087,7 @@
                     "xcb_xkb_get_kbd_by_name_replies_key_names_value_list_sizeof(nullptr, 0, 0, 0, 0, 0, 0, 0, 0);"
                 ]
             },
-            "use": "xcb_icccm xcb_util xcb_image xcb_keysyms xcb_randr xcb_render xcb_renderutil xcb_shape xcb_shm xcb_sync xcb_xfixes xcb_xinerama xcb_xkb xcb"
+            "use": "xcb_icccm xcb_image xcb_keysyms xcb_randr xcb_render xcb_renderutil xcb_shape xcb_shm xcb_sync xcb_xfixes xcb_xinerama xcb_xkb xcb"
         },
         "x11prefix": {
             "label": "X11 prefix",
-- 
2.16.3
